---
title: Window.onbeforeinstallprompt
slug: Web/API/Window/onbeforeinstallprompt
tags:
  - API
  - Event Handler
  - Manifest
  - Property
  - Reference
  - Window
  - onbeforeinstallprompt
---
<div>{{APIRef}}</div>

<p>The <code><strong>Window.onbeforeinstallprompt</strong></code> property is an event handler for processing a {{event("beforeinstallprompt")}}, which is dispatched on devices when a user is about to be prompted to "install" a web application. <a href="../BeforeInstallPromptEvent">Its associated event</a> may be saved for later and used to prompt the user at a more suitable time. </p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.addEventListener("beforeinstallprompt", function(event) { ... });
window.onbeforeinstallprompt = function(event) { ...};</pre>

<h2 id="Example">Example</h2>

<p>The following example uses the <code>beforeinstallprompt</code> event to make an install button operable, by using the event inside a click handler.</p>

<pre class="brush: js">window.addEventListener("beforeinstallprompt", function(beforeInstallPromptEvent) {
  beforeInstallPromptEvent.preventDefault(); // Prevents immediate prompt display

  // Shows prompt after a user clicks an "install" button
  installButton.addEventListener("click", function(mouseEvent) {
    // you should not use the MouseEvent here, obviously
    beforeInstallPromptEvent.prompt();
  });

  installButton.hidden = false; // Make button operable
});</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.onbeforeinstallprompt")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref("BeforeInstallPromptEvent.prompt")}}</li>
 <li>{{domxref("BeforeInstallPromptEvent")}}</li>
</ul>
